package svc

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/md"
	zhios_day_luck_draw_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/utils"
	"xorm.io/xorm"
)

func AddSettleOrder(eg *xorm.Engine, req md.DayLuckDrawOrderJackpotReq) error {
	setting := db.CheckSetting(eg, req.Pvd)
	if setting == false {
		return nil
	}
	drawSetting := db.GetDayLuckDrawSetting(eg)
	if drawSetting.Source == "amount" {
		return nil
	}
	req.Bili = drawSetting.CommissionBili
	req.Commission = zhios_day_luck_draw_utils.Float64ToStrByPrec(zhios_day_luck_draw_utils.StrToFloat64(req.Commission)*(zhios_day_luck_draw_utils.StrToFloat64(req.Bili)/100), 7)
	err := db.AddSettle(eg, req)
	if err != nil {
		return err
	}
	return nil
}
func AddSettleOrderSess(sess *xorm.Session, req md.DayLuckDrawOrderJackpotReq) error {
	setting := db.CheckSettingSess(sess, req.Pvd)
	if setting == false {
		return nil
	}
	drawSetting := db.GetDayLuckDrawSettingSess(sess)
	if drawSetting.Source == "amount" {
		return nil
	}
	req.Bili = drawSetting.CommissionBili
	req.Commission = zhios_day_luck_draw_utils.Float64ToStrByPrec(zhios_day_luck_draw_utils.StrToFloat64(req.Commission)*(zhios_day_luck_draw_utils.StrToFloat64(req.Bili)/100), 7)
	err := db.AddSettleSess(sess, req)
	if err != nil {
		return err
	}
	return nil
}
